Package: org.gradle.plugins.javascript.envjs

## [Java] Class EnvJsPlugin

- org.gradle.plugins.javascript.envjs.EnvJsPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class EnvJsPlugin
      extends groovy.lang.GroovyObjectSupport

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnvJsPlugin (org.gradle.process.internal.worker.WorkerProcessFactory workerProcessBuilderFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Configuration` | `addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)`
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public EnvJsPlugin(org.gradle.process.internal.worker.WorkerProcessFactory workerProcessBuilderFactory)

  - ### Method Detail

    - #### public Configuration addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)

    - #### public void apply(Project project)